felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Wille <joerg.wi...@gmail.com>
Subject Dex Oat Felix Android
Date Wed, 28 Mar 2018 23:10:38 GMT
I am trying to run Felix on Android 8.1, targeting API 27.
I have dexified my test-bundle with this
<https://github.com/luoqii/felix-on-android/blob/master/dexify.sh> script.
Felix does start and the bundle gets successfully installed
(context.installBundle(url, is)).
But when I try to start the bundle I get following exception:

Opening an oat file without a class loader. Are you using the deprecated
DexFile APIs?

The DexFile is being used by Felix in
Class org.apache.felix.framework.BundleWiringImpl (1342) and I have read
<https://developer.android.com/reference/dalvik/system/DexFile.html> that
the DexFile class is deprecated since Android API 26.
But although deprecated, I checked that this class is still part of the API
27, so this felix code should actually still work.

Could the above exception have to do with using Android 8.1 API 27?
Has anyone had success running Felix on Android 8.1? Is there a example
code for running felix on (any version of) Android?
Or am I missing something? Do I maybe have to also "OATify" the bundle
before I can load it?

Best regards,
Jörg

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message